Package groovy.lang

# Class ReadOnlyPropertyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.MissingPropertyException
groovy.lang.ReadOnlyPropertyException

All Implemented Interfaces:
  `Serializable`

public class ReadOnlyPropertyException extends MissingPropertyException
This exception is thrown if an attempt is made to set a read-only property.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class groovy.lang.MissingPropertyException

  `MPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyPropertyException(String property, Class type)`
  Creates an exception for a read-only property on the supplied type.
  `ReadOnlyPropertyException(String property, String classname)`
  Creates an exception for a read-only property on the supplied class name.

- ## Method Summary

  ### Methods inherited from class groovy.lang.MissingPropertyException

  `getMessageWithoutLocationText, getProperty, getType`

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReadOnlyPropertyException

    public ReadOnlyPropertyException(String property, Class type)
    Creates an exception for a read-only property on the supplied type.
    Parameters:
      `property` - the property name
      `type` - the target type

  - ### ReadOnlyPropertyException

    public ReadOnlyPropertyException(String property, String classname)
    Creates an exception for a read-only property on the supplied class name.
    Parameters:
      `property` - the property name
      `classname` - the target class name